
Imports Microsoft.Office.Interop.Excel

Public Class Sheet1

    Private Sub Sheet1_Startup() Handles Me.Startup

    End Sub

    Private Sub Sheet1_Shutdown() Handles Me.Shutdown

    End Sub

    Private Sub Sheet1_Change(Target As Range) Handles Me.Change
        Application.EnableEvents = False
        Dim tmp1 As Range = Globals.Sheet1.Range("A3")
        Dim tmp2 As Range = Globals.Sheet1.Range("B3")
        Dim tmp3 As Range = Globals.Sheet1.Range("C3")
        Dim tmp4 As Range = Globals.Sheet1.Range("D3")
        Dim tmp5 As Range = Globals.Sheet1.Range("E3")
        While Trim(tmp1.Value2) <> vbNullString
            'If abjadKabir <> 0 Then
            tmp2.Value2 = getAbjadCode(tmp1.Value2, abjadType.kabir).ToString
            tmp3.Value2 = getAbjadCode(tmp1.Value2, abjadType.saghir).ToString
            tmp4.Value2 = getAbjadCode(tmp1.Value2, abjadType.vasit).ToString
            'End If
            tmp1 = tmp1.Offset(1, 0)
            tmp2 = tmp2.Offset(1, 0)
            tmp3 = tmp3.Offset(1, 0)
            tmp4 = tmp4.Offset(1, 0)
        End While
        Application.EnableEvents = True
    End Sub
End Class
